Store a Netafim irrigation-head reading
curl --request POST \
--url https://api.hydrobit.ag/api/control/irrigation/external-heads/{did}/readings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"reading": {
"controllerTime": "2026-11-15 09:30:00",
"Flow": 0,
"Ec_Act": null,
"Ph_Act": 6.4,
"Water_Act_Qty": 0,
"waterUnit": "m3",
"alarmOn": false,
"valves": [],
"dosingChannels": []
},
"recordedAt": "2026-11-15T09:30:00-06:00"
}
'import requests
url = "https://api.hydrobit.ag/api/control/irrigation/external-heads/{did}/readings"
payload = {
"reading": {
"controllerTime": "2026-11-15 09:30:00",
"Flow": 0,
"Ec_Act": None,
"Ph_Act": 6.4,
"Water_Act_Qty": 0,
"waterUnit": "m3",
"alarmOn": False,
"valves": [],
"dosingChannels": []
},
"recordedAt": "2026-11-15T09:30:00-06:00"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reading: {
controllerTime: '2026-11-15 09:30:00',
Flow: 0,
Ec_Act: null,
Ph_Act: 6.4,
Water_Act_Qty: 0,
waterUnit: 'm3',
alarmOn: false,
valves: [],
dosingChannels: []
},
recordedAt: '2026-11-15T09:30:00-06:00'
})
};
fetch('https://api.hydrobit.ag/api/control/irrigation/external-heads/{did}/readings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hydrobit.ag/api/control/irrigation/external-heads/{did}/readings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reading' => [
'controllerTime' => '2026-11-15 09:30:00',
'Flow' => 0,
'Ec_Act' => null,
'Ph_Act' => 6.4,
'Water_Act_Qty' => 0,
'waterUnit' => 'm3',
'alarmOn' => false,
'valves' => [
],
'dosingChannels' => [
]
],
'recordedAt' => '2026-11-15T09:30:00-06:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hydrobit.ag/api/control/irrigation/external-heads/{did}/readings"
payload := strings.NewReader("{\n \"reading\": {\n \"controllerTime\": \"2026-11-15 09:30:00\",\n \"Flow\": 0,\n \"Ec_Act\": null,\n \"Ph_Act\": 6.4,\n \"Water_Act_Qty\": 0,\n \"waterUnit\": \"m3\",\n \"alarmOn\": false,\n \"valves\": [],\n \"dosingChannels\": []\n },\n \"recordedAt\": \"2026-11-15T09:30:00-06:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hydrobit.ag/api/control/irrigation/external-heads/{did}/readings")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reading\": {\n \"controllerTime\": \"2026-11-15 09:30:00\",\n \"Flow\": 0,\n \"Ec_Act\": null,\n \"Ph_Act\": 6.4,\n \"Water_Act_Qty\": 0,\n \"waterUnit\": \"m3\",\n \"alarmOn\": false,\n \"valves\": [],\n \"dosingChannels\": []\n },\n \"recordedAt\": \"2026-11-15T09:30:00-06:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hydrobit.ag/api/control/irrigation/external-heads/{did}/readings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reading\": {\n \"controllerTime\": \"2026-11-15 09:30:00\",\n \"Flow\": 0,\n \"Ec_Act\": null,\n \"Ph_Act\": 6.4,\n \"Water_Act_Qty\": 0,\n \"waterUnit\": \"m3\",\n \"alarmOn\": false,\n \"valves\": [],\n \"dosingChannels\": []\n },\n \"recordedAt\": \"2026-11-15T09:30:00-06:00\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>"
}{
"id": "<string>"
}Irrigation
Store a Netafim irrigation-head reading
Requires a token linked to this head with the exclusive
write:irrigation-head-readings scope. Send one snapshot per request.
Reuse the same idempotency key when retrying that snapshot. The server
resolves the company and project from the head linked to the token.
POST
/
api
/
control
/
irrigation
/
external-heads
/
{did}
/
readings
Store a Netafim irrigation-head reading
curl --request POST \
--url https://api.hydrobit.ag/api/control/irrigation/external-heads/{did}/readings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"reading": {
"controllerTime": "2026-11-15 09:30:00",
"Flow": 0,
"Ec_Act": null,
"Ph_Act": 6.4,
"Water_Act_Qty": 0,
"waterUnit": "m3",
"alarmOn": false,
"valves": [],
"dosingChannels": []
},
"recordedAt": "2026-11-15T09:30:00-06:00"
}
'import requests
url = "https://api.hydrobit.ag/api/control/irrigation/external-heads/{did}/readings"
payload = {
"reading": {
"controllerTime": "2026-11-15 09:30:00",
"Flow": 0,
"Ec_Act": None,
"Ph_Act": 6.4,
"Water_Act_Qty": 0,
"waterUnit": "m3",
"alarmOn": False,
"valves": [],
"dosingChannels": []
},
"recordedAt": "2026-11-15T09:30:00-06:00"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reading: {
controllerTime: '2026-11-15 09:30:00',
Flow: 0,
Ec_Act: null,
Ph_Act: 6.4,
Water_Act_Qty: 0,
waterUnit: 'm3',
alarmOn: false,
valves: [],
dosingChannels: []
},
recordedAt: '2026-11-15T09:30:00-06:00'
})
};
fetch('https://api.hydrobit.ag/api/control/irrigation/external-heads/{did}/readings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hydrobit.ag/api/control/irrigation/external-heads/{did}/readings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reading' => [
'controllerTime' => '2026-11-15 09:30:00',
'Flow' => 0,
'Ec_Act' => null,
'Ph_Act' => 6.4,
'Water_Act_Qty' => 0,
'waterUnit' => 'm3',
'alarmOn' => false,
'valves' => [
],
'dosingChannels' => [
]
],
'recordedAt' => '2026-11-15T09:30:00-06:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hydrobit.ag/api/control/irrigation/external-heads/{did}/readings"
payload := strings.NewReader("{\n \"reading\": {\n \"controllerTime\": \"2026-11-15 09:30:00\",\n \"Flow\": 0,\n \"Ec_Act\": null,\n \"Ph_Act\": 6.4,\n \"Water_Act_Qty\": 0,\n \"waterUnit\": \"m3\",\n \"alarmOn\": false,\n \"valves\": [],\n \"dosingChannels\": []\n },\n \"recordedAt\": \"2026-11-15T09:30:00-06:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hydrobit.ag/api/control/irrigation/external-heads/{did}/readings")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reading\": {\n \"controllerTime\": \"2026-11-15 09:30:00\",\n \"Flow\": 0,\n \"Ec_Act\": null,\n \"Ph_Act\": 6.4,\n \"Water_Act_Qty\": 0,\n \"waterUnit\": \"m3\",\n \"alarmOn\": false,\n \"valves\": [],\n \"dosingChannels\": []\n },\n \"recordedAt\": \"2026-11-15T09:30:00-06:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hydrobit.ag/api/control/irrigation/external-heads/{did}/readings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reading\": {\n \"controllerTime\": \"2026-11-15 09:30:00\",\n \"Flow\": 0,\n \"Ec_Act\": null,\n \"Ph_Act\": 6.4,\n \"Water_Act_Qty\": 0,\n \"waterUnit\": \"m3\",\n \"alarmOn\": false,\n \"valves\": [],\n \"dosingChannels\": []\n },\n \"recordedAt\": \"2026-11-15T09:30:00-06:00\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>"
}{
"id": "<string>"
}Authorizations
Headers
Body
application/json